Index: trunk/libs/libalmosmkh/almosmkh.h
===================================================================
--- trunk/libs/libalmosmkh/almosmkh.h	(revision 580)
+++ trunk/libs/libalmosmkh/almosmkh.h	(revision 589)
@@ -39,6 +39,6 @@
 
 /*************************************************************************************** 
- * This function is used to give the process identified by the <pid> argument the 
- * exclusive ownership of its TXT terminal.
+ * This syscall gives the process identified by the <pid> argument the exclusive 
+ * ownership of its TXT terminal.
  *************************************************************************************** 
  * @ pid        : process identifier.
@@ -48,5 +48,5 @@
 
 /*************************************************************************************** 
- * This function stores in the buffer identified by the <owner> argument a non zero
+ * This syscall stores in the buffer identified by the <owner> argument a non zero
  * value when the process identified by the <pid> argument is currently the exclusive
  * owner of its TXT terminal.
@@ -60,5 +60,5 @@
 
 /*************************************************************************************** 
- * This function returns the hardware platform parameters.
+ * This syscall returns the hardware platform parameters.
  ***************************************************************************************
  * @ x_size   : [out] number of clusters in a row.
@@ -72,5 +72,5 @@
 
 /*************************************************************************************** 
- * This function returns the cluster an local index for the calling core.
+ * This syscall returns the cluster an local index for the calling core.
  ***************************************************************************************
  * @ cxy      : [out] cluster identifier.
@@ -90,6 +90,15 @@
 int get_cycle( unsigned long long * cycle );
 
-/*************************************************************************************** 
- * This function implement the operations related to User Thread Local Storage.
+/***************************************************************************************
+ * This syscall allows the calling thread to specify the target cluster for
+ * a subsequent fork(). It must be called for each fork().
+ ***************************************************************************************
+ * @ cxy      : [in] target cluster identifier.
+ * @ return 0 if success / returns -1 if illegal cxy argument.
+ **************************************************************************************/
+int place_fork( unsigned int cxy );
+
+/*************************************************************************************** 
+ * This syscall implements the operations related to User Thread Local Storage.
  ***************************************************************************************
  * @ operation  : UTLS operation type as defined in "shared_sycalls.h" file.
@@ -101,10 +110,10 @@
 
 /***************************************************************************************
- * This function returns an unsigned 32 bits integer from the standard "stdin" stream.
+ * This syscall returns an unsigned 32 bits integer from the standard "stdin" stream.
  * Both decimal numbers and hexadecimal numbers (prefixed by 0x) are supported.
  ***************************************************************************************
  * returns the integer value if success / returns -1 if failure.
  **************************************************************************************/
-unsigned int getint32( void );
+unsigned int get_uint32( void );
 
 
@@ -113,5 +122,5 @@
 
 /*************************************************************************************** 
- * This debug function displays on the kernel terminal TXT0
+ * This debug syscall displays on the kernel terminal TXT0
  * the thread / process / core identifiers, the current cycle, plus a user defined
  * message as specified by the <string> argument. 
@@ -132,5 +141,5 @@
 
 /*************************************************************************************** 
- * This debug function displays on the kernel terminal TXT0 
+ * This debug syscall displays on the kernel terminal TXT0 
  * the state of the core scheduler identified by the <cxy> and <lid> arguments.
  * It can be called by any thread running in any cluster.
@@ -144,15 +153,18 @@
 
 /*************************************************************************************** 
- * This debug function displays on the kernel terminal TXT0 
+ * This debug syscall displays on the kernel terminal TXT0 
  * the list of process registered in a given cluster identified by the <cxy> argument.
+ * Only the owned processes are displayed when the <owned> argument is non zero.
  * It can be called by any thread running in any cluster.
  ***************************************************************************************
  * @ cxy      : [in] target cluster identifier.
+ * @ owned    : [in] only owned processes if non zero.
  * @ return 0 if success / return -1 if illegal argument.
  **************************************************************************************/
-int display_cluster_processes( unsigned int  cxy );
-
-/*************************************************************************************** 
- * This debug function displays on the kernel terminal TXT0 
+int display_cluster_processes( unsigned int  cxy,
+                               unsigned int  owned );
+
+/*************************************************************************************** 
+ * This debug syscall displays on the kernel terminal TXT0 
  * the list of processes attached to a given TXT channel.
  * It can be called by any thread running in any cluster.
@@ -164,5 +176,5 @@
 
 /*************************************************************************************** 
- * This debug function displays on the kernel terminal TXT0 
+ * This debug syscall displays on the kernel terminal TXT0 
  * the list of channel devices available in the architecture.
  * It can be called by any thread running in any cluster.
@@ -173,5 +185,5 @@
 
 /*************************************************************************************** 
- * This debug function displays on the kernel terminal TXT0 
+ * This debug syscall displays on the kernel terminal TXT0 
  * the list of channel device or pseudo-files registered in the VFS cache.
  * It can be called by any thread running in any cluster.
@@ -182,5 +194,5 @@
 
 /*************************************************************************************** 
- * This debug function displays on the kernel terminal TXT0 the current DQDT state.
+ * This debug syscall displays on the kernel terminal TXT0 the current DQDT state.
  * It can be called by any thread running in any cluster.
  ***************************************************************************************
@@ -190,5 +202,5 @@
 
 /***************************************************************************************** 
-* This debug function is used to activate / desactivate the context switches trace
+* This debug syscall is used to activate / desactivate the context switches trace
 * for a core identified by the <cxy> and <lid> arguments.
 * It can be called by any thread running in any cluster.
@@ -204,5 +216,5 @@
 
 /****************************************************************************************
- * This blocking function implements an user-level interactive debugger that can be
+ * This syscall implements an user-level interactive debugger that can be
  * introduced in any user application to display various kernel distributed structures.
  * The supported commands are:
